Name: giblib
Version: 1.2.3
Release: alt0.1

Summary: Simple library and a wrapper for imlib2.
License: BSD
Group: System/Libraries
Url: http://linuxbrit.co.uk/%name/
Source: %name-%version.tar.gz

# Automatically added by buildreq on Fri Dec 26 2003
BuildRequires: XFree86-devel freetype2-devel imlib2-devel zlib-devel

%def_disable static
%{?_enable_static:BuildPreReq: glibc-devel-static}


%description
giblib is a simple library which wraps imlib2. It provides a wrapper to
imlib2's context API, avoiding all the context_get/set calls, adds fontstyles
to the truetype renderer and supplies a generic doubly-linked list and some
string functions.

%package -n lib%name
Summary: Enlightened backgrounds manipulating library
Group: System/Libraries

%description -n lib%name
giblib is a simple library which wraps imlib2. It provides a wrapper to
imlib2's context API, avoiding all the context_get/set calls, adds fontstyles
to the truetype renderer and supplies a generic doubly-linked list and some
string functions.

This package contains shared giblib library.

%package -n lib%name-devel
Summary: giblib headers and development libraries
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package contains giblib headers and development libraries

%package -n lib%name-devel-static
Summary: giblib static libraries.
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This package contains giblib static libraries.

%prep
%setup -q

%{?!_enable_static:export lt_cv_prog_cc_static_works=no}
%configure %{subst_enable static}
%make_build

%install
%makeinstall

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -n lib%name
%_libdir/*.so.*
%doc AUTHORS ChangeLog README

%files -n lib%name-devel
%_bindir/*-config
%_includedir/*
%_libdir/*.so
#_libdir/*.la

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%changelog
* Fri Dec 26 2003 Alex Murygin <murygin@altlinux.ru> 1.2.3-alt0.1
- First build for AltLinux

